<?php
require('fpdf.php');

class PDF extends FPDF
{
	//Kopfzeile erstellen
	function Header(){
		$this->Image('logo_h.jpg',10,80,200,0,'JPG');	// Logo Wasserzeichen auf der Seite
	}
	//Fusszeile erstellen
	function Footer(){
		$this->SetY(-15);																// Position 1,5 cm von unten
		$pic1 = 'logo.jpg';															// M. Wulff Logo links unten
		$size = Getimagesize($pic1);										// Logo in 720 DPI / in Foxit muss die Ausgabe auch eingestellt
		$this->Image($pic1, 13, 285, $size[0] / 720 * 25.4);
		$this->SetLineWidth(0.1);												// Linien Strke
		$this->Line(10, 284, 200, 284);									// Linie setzen
		$this->SetFont('Arial','',3);
		//$this->Cell(10,9.4,'                              (c) 2007 / Matthias Wulff, Schwindstr. 3, 84453 Mhldorf');
		$this->Write(9.5, '(c) 2007 / Matthias Wulff, Schwindstr. 3, 84453 Mhldorf', 'http://www.m-wulff.de');
		$this->SetFont('Arial','I',8);									// Arial kursiv 8
		$this->Cell(0,10,'Seite '.$this->PageNo().'/{nb}',0,0,'R');	//Seitenzahl
	}
}

// Instanciation of inherited class
$pdf = new PDF('P','mm','A4');											// PDF initialisieren
$pdf->PageMode = '/FullScreen';										  // Ausgabemglichkeiten /FullScreen, 
$pdf->SetTitle('Antrag auf Internet u. eMail');			// Dokumenteigenschaft Titel
$pdf->SetAuthor('Matthias Wulff, www.M-Wulff.de');  // Dokumenteigenschaft Verfasser
$pdf->SetSubject('Antrag');													// Dokumenteigenschaft Thema
$pdf->SetKeywords('Antrag Internetzugang eMail');   // Dokumenteigenschaft Schlsselwrter
$pdf->AliasNbPages();																// Seitenzhler aktivieren
//$pdf->SetAutoPageBreak(true); 										// Automatischen Seitenumbruch aktivieren (nicht bentigt)
$pdf->SetLeftMargin(22);														// Linker Rand
$pdf->SetRightMargin(12);														// Rechter Rand
$pdf->AddPage();																		// Neue Seite erzeugen

$pic1 = 'firmen-logo.jpg';													// Firmen Logo links unten
$size = Getimagesize($pic1);
$pdf->Image($pic1, 170, 10, $size[0] / 720 * 25.4); // Logo in 720 DPI / in Foxit muss die Ausgabe auch eingestellt werden
$pdf->Ln(30);																	  		// Zeilenumbruch
	
// berschrift setzen
$pdf->SetFont('Times','B',32);                      // (Breite - link - rechts) / 2
$pdf->Cell(88);  																		// 88 Milimeter nach rechts
$pdf->Cell(1,1,"Antrag",0,0,'C'); 							  	// Titel
$pdf->SetFont('Times','B',12);
$pdf->Ln(8);																				// Zeilenumbruch
$pdf->Cell(88);
$pdf->Cell(1,1,"auf",0,0,'C');										  // Titel
$pdf->SetFont('Times','B',24);
$pdf->Ln(6);																				// Zeilenumbruch
$pdf->Cell(88);
$pdf->Cell(1,1,"Internetzugang / eMail",0,0,'C'); // Titel
$pdf->Ln(20);																				// Zeilenumbruch

// Text des Formulars
$pdf->SetFont('Arial','',6);
$pdf->Cell(2);
$pdf->Cell(1,1,'Name, Vorname, Position',0,0,'L');
$pdf->Ln(12);			
$pdf->Cell(2);
$pdf->Cell(1,1,'Personalnummer',0,0,'L'); 
$pdf->Ln(12);	
$pdf->Cell(2);
$pdf->Cell(1,1,'Abteilung/Station',0,0,'L');
$pdf->Cell(86);
$pdf->Cell(1,1,'Rechner',0,0,'L'); 
$pdf->Ln(12);	
$pdf->Cell(3);
$pdf->SetFont('zapfdingbats','',10);
$pdf->Cell(1,1,'q',0,0,'L');   // 6 oder q 
$pdf->Cell(3);
$pdf->SetFont('Arial','',10);
$pdf->Cell(1,1,'Mhldorf a. Inn',0,0,'L');
$pdf->Cell(82);
$pdf->SetFont('zapfdingbats','',10);
$pdf->Cell(1,1,'q',0,0,'L');   // 6 oder q 
$pdf->SetFont('Arial','',10);
$pdf->Cell(3);
$pdf->Cell(1,1,'Internetzugang',0,0,'L'); 
$pdf->Ln(5);
$pdf->Cell(3);
$pdf->SetFont('zapfdingbats','',10);
$pdf->Cell(1,1,'q',0,0,'L');   // 6 oder q 
$pdf->Cell(3);
$pdf->SetFont('Arial','',10);
$pdf->Cell(1,1,'Haag i. OB',0,0,'L'); 
$pdf->Cell(82);
$pdf->SetFont('zapfdingbats','',10);
$pdf->Cell(1,1,'q',0,0,'L');   // 6 oder q 
$pdf->SetFont('Arial','',10);
$pdf->Cell(3);
$pdf->Cell(1,1,'eMail',0,0,'L'); 
$pdf->Ln(5);	
$pdf->SetFont('Arial','',6);
$pdf->Cell(2);
$pdf->Cell(1,1,'Begrndung:',0,0,'L'); 
$pdf->Ln(15);

$pdf->SetFont('Arial','',10);
// Text ausgeben
$pdf->MultiCell(0,5,"Die Dienstanweisung ber die Nutzung des Internet wurde mir ausgehndigt.
Da bin ich ausdrcklich auf die in Punkt 7.1 beschriebenen dienst- und arbeitsrechtlichen Konsequenzen hingewiesen worden.
");
$pdf->Ln(25);
$pdf->SetFont('Arial','',6);
$pdf->Cell(88,1,'Ort, Datum',0,0,'C');
$pdf->Cell(88,1,'Unterschrift Antragssteller/-in',0,0,'C'); 
$pdf->Ln(10);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(1,1,'Genehmigung:',0,0,'L');
$pdf->Ln(25);
$pdf->SetFont('Arial','',6);
$pdf->Cell(88,1,'Ort, Datum',0,0,'C'); 
$pdf->Cell(88,1,'Unterschrift Vorgesetzte/r',0,0,'C'); 
$pdf->Ln(25);
$pdf->Cell(88,1,'Ort, Datum',0,0,'C'); 
$pdf->Cell(88,1,'Unterschrift Datenschutzbeauftragte/r',0,0,'C'); 
$pdf->Ln(25);
$pdf->Cell(88,1,'Ort, Datum',0,0,'C'); 
$pdf->Cell(88,1,'EDV (Einrichter)',0,0,'C'); 
$pdf->Ln(15);
$pdf->Cell(1,1,'Bitte fllen Sie das Formular vollstndig aus und leiten das Dokument der Unterschriftreihenfolge weiter.',0,0,'L');
// Linien Zeinen
$pdf->Line( 24,  72, 195,  72);
$pdf->Line( 24,  84, 195,  84);
$pdf->Line( 24,  96, 195,  96);	
$pdf->Line( 24, 108, 195, 108);
$pdf->Line( 24, 118, 195, 118);
$pdf->Line( 24, 130, 195, 130);
$pdf->Line(111,  96, 111, 118);
$pdf->Line( 24,  72,  24, 130);
$pdf->Line(195,  72, 195, 130);

$pdf->Line( 26, 173, 109, 173);
$pdf->Line(113, 173, 193, 173);

$pdf->Line( 22, 180, 195, 180);
$pdf->Line( 22, 181, 195, 181);

$pdf->Line( 26, 208, 109, 208);
$pdf->Line(113, 208, 193, 208);
$pdf->Line( 26, 233, 109, 233);
$pdf->Line(113, 233, 193, 233);
$pdf->Line( 26, 258, 109, 258);
$pdf->Line(113, 258, 193, 258);

// Post-Werte bernehmen 
$Nachname  = $_POST["Nachname"];
$Vorname   = $_POST["Vorname"];
$Position  = $_POST["Position"];
$Abteilung = $_POST["Abteilung"];
$Rechner   = $_POST["Rechner"];
$grund     = $_POST["grund"];
$InfosM    = $_POST["InfosM"];
$InfosH    = $_POST["InfosH"];
$InfosI    = $_POST["InfosI"];
$InfosE    = $_POST["InfosE"];

// Werte eintragen
$pdf->SetXY( 26, 78); 
$pdf->SetFont('Arial','B',10);
//$pdf->Write(5,'Wulff, Matthias , EDV ');
IF ($Nachname <> '') { $pdf->Write(5,"$Nachname, "); }
IF ($Vorname <> '')  { $pdf->Write(5,"$Vorname, "); }
$pdf->Write(5,"$Position ");
//$pdf->SetXY( 26, 90); 
//$pdf->Write(5,'12345678');
$pdf->SetXY( 26,102); 
$pdf->Write(5,"$Abteilung");
$pdf->SetXY(113,102); 
$pdf->Write(5,"$Rechner");
$pdf->SetXY( 26,124); 
$pdf->Write(5,"$grund");
IF ($InfosM == 'M') {    
  $pdf->SetXY( 25,110);
  $pdf->SetFont('zapfdingbats','',10);
  $pdf->Cell(1,1,'6',0,0,'L');   // Mhldorf a. Inn
}
IF ($InfosH == 'H') {
  $pdf->SetXY( 25,115); 
  $pdf->SetFont('zapfdingbats','',10);
  $pdf->Cell(1,1,'6',0,0,'L');   // Haag i. OB
}
IF ($InfosI == 'I') {
  $pdf->SetXY(112,110); 
  $pdf->SetFont('zapfdingbats','',10);
  $pdf->Cell(1,1,'6',0,0,'L');   // Internetzugang
}
IF ($InfosE == 'E') {
  $pdf->SetXY(112,115); 
  $pdf->SetFont('zapfdingbats','',10);
  $pdf->Cell(1,1,'6',0,0,'L');   // eMail
}
$pdf->SetFont('Arial','',10);
// Text ausgeben 
// $pdf->MultiCell(0,5,"Hiermit beantrage ich einen Internetzugang sowie eine eMail Adresse mit Einrichtung auf den Rechner MUEPC000. Ich verpflichte mich die Betriebsvereinbarung zur Internetnutzung vom 17.02.2003 einzuhalten und zu Unterschreiben.
// Mir ist insbesondere bewusst, das meine Schweigepflicht auch den Versand von Personenbezogenen Daten (z.B.: Patientendaten) ber eMail untersagt sind.
// ");

$pdf->Output();


?> 

