<?php
require('fpdf.php');

class PDF extends FPDF{}

// Instanciation of inherited class
$pdf = new PDF('P','mm','A4');											// PDF initialisieren
$pdf->SetTitle('Etiketten');	      		// Dokumenteigenschaft Titel
$pdf->SetAuthor('(c) 2007 / Matthias Wulff, Schwindstr. 3, 84453 Mhldorf', 'http://www.m-wulff.de');  
																										// Dokumenteigenschaft Verfasser
$pdf->SetSubject('Etiketten');											// Dokumenteigenschaft Thema
$pdf->SetKeywords('Etikettendruck');								// Dokumenteigenschaft Schlsselwrter
$pdf->AliasNbPages();																// Seitenzhler aktivieren
//$pdf->SetAutoPageBreak(true); 										// Automatischen Seitenumbruch aktivieren (nicht bentigt)
$pdf->SetLeftMargin(5);													  	// Linker Rand
$pdf->SetRightMargin(5);														// Rechter Rand
$pdf->AddPage();																		// Neue Seite erzeugen

// Hauptprogramm

// Post-Werte bernehmen 
$Zeile_1 = $_POST["Zeile_1"];
$Zeile_2 = $_POST["Zeile_2"];
$Zeile_3 = $_POST["Zeile_3"];
$Zeile_4 = $_POST["Zeile_4"];
$Zeile_5 = $_POST["Zeile_5"];

for($i=0;$i<=5;$i++) {                              // Anzahl der Etietten Zeilen $i
  for($ii=0;$ii<=5;$ii++) {                         // Anzahl der Etietten Spalten $ii
    $Z = $i * 50;                                   // Hhe des Etikett
    $S = $ii * 105;                                 // Breite des Etikett
    $pic1 = 'logo_absender.jpg';										// Firmen Logo des Absenders
    $size = Getimagesize($pic1);
    $pdf->Image($pic1,5 + $S , 4 + $Z, $size[0] / 720 * 25.4); // Logo in 720 DPI / in Foxit muss die Ausgabe auch eingestellt werden
    $pdf->SetXY( 10 + $S, 5 + $Z);                  // Absender
    $pdf->SetFont('Arial','',8);
    $pdf->Cell(1,1,"Matthias Wulff, Schwindstr. 3, 84453 Mhldorf a. Inn",0,0,'L');  	
    $pdf->Line(5 + $S, 7 + $Z, 100 + $S, 7 + $Z);		// Linie setzen
    
    $pdf->SetFont('Arial','',12);  
    $pdf->Text(11 + $S, 15 + $Z, $Zeile_1);         // Zeile 1
    $pdf->Text(11 + $S, 20 + $Z, $Zeile_2);         // Zeile 2
    $pdf->Text(11 + $S, 25 + $Z, $Zeile_3);         // Zeile 3
    $pdf->Text(11 + $S, 30 + $Z, $Zeile_4);         // Zeile 4
    $pdf->SetFont('Arial','B',14);  
    $pdf->Text(11 + $S, 40 + $Z, $Zeile_5);         // PLZ / Ort
  }
}

$pdf->Output();
?> 

