<?php
define('FPDF_FONTPATH','font/');
require('fpdf_js.php');

class PDF extends PDF_Javascript {

  // Autoprint beginn
  function AutoPrint($dialog=false){
  	//Launch the print dialog or start printing immediately on the standard printer
  	$param=($dialog ? 'true' : 'false');
  	$script="print($param);";
  	$this->IncludeJS($script);
  }
  
  function AutoPrintToPrinter($server, $printer, $dialog=false){
  	//Print on a shared printer (requires at least Acrobat 6)
  	$script = "var pp = getPrintParams();";
  	if($dialog)
  		$script .= "pp.interactive = pp.constants.interactionLevel.full;";
  	else
  		$script .= "pp.interactive = pp.constants.interactionLevel.automatic;";
  	$script .= "pp.printerName = '\\\\\\\\".$server."\\\\".$printer."';";
  	$script .= "print(pp);";
  	$this->IncludeJS($script);
  }
  // Autoprint ende
  
  function tabellen($eingabe){											// Tabelle mit jeweils einer Aktion erstellen
 	  $this->SetFillColor(255,255,255);
	  $this->SetFont('Arial','',9);
	  $this->Cell(140,4.5,$eingabe,1,0,'L','1');
		$this->Cell(5,4.5,'',1,0,'L','1');
		$this->Cell(5,4.5,'',1,0,'L','1');
		$this->Cell(28,4.5,'',1,1,'L','1');
	}

	function Header(){																// Kopfzeile erstellen
		$this->Image('logo_h.jpg',10,80,200,0,'JPG');	  // Logo Wasserzeichen auf der Seite
	}
	function Footer(){																// Fusszeile erstellen
		$this->SetY(-15);																// Position 1,5 cm von unten
		$pic1 = 'logo.jpg';															// M. Wulff Logo links unten
		$size = Getimagesize($pic1);										// Logo in 720 DPI / in Foxit muss die Ausgabe auch eingestellt
		$this->Image($pic1, 13, 285, $size[0] / 720 * 25.4);
		$this->SetLineWidth(0.1);												// Linien Strke
		$this->Line(10, 284, 200, 284);									// Linie setzen
		$this->SetFont('Arial','',3);
		$this->Write(9.5, '(c) 2007 / Matthias Wulff, Schwindstr. 3, 84453 Mhldorf', 'http://www.m-wulff.de');
		$this->SetFont('Arial','I',8);									// Arial kursiv 8
		$this->Cell(0,10,'Seite '.$this->PageNo().'/{nb}',0,0,'R');	//Seitenzahl
	}  
  
}

// Instanciation of inherited class
$pdf = new PDF('P','mm','A4');											// PDF initialisieren
$pdf->SetTitle('Patientenbegleitbogen');	      		// Dokumenteigenschaft Titel
$pdf->SetAuthor('(c) 2007 / Matthias Wulff, Schwindstr. 3, 84453 Mhldorf', 'http://www.m-wulff.de');  
																										// Dokumenteigenschaft Verfasser
$pdf->SetSubject('Patient');												// Dokumenteigenschaft Thema
$pdf->SetKeywords('Der Patientenbegleitbogen ist ein Teil des Behandlungspfades');		
																										// Dokumenteigenschaft Schlsselwrter
$pdf->AliasNbPages();																// Seitenzhler aktivieren
//$pdf->SetAutoPageBreak(true); 										// Automatischen Seitenumbruch aktivieren (nicht bentigt)
$pdf->SetLeftMargin(22);														// Linker Rand
$pdf->SetRightMargin(12);														// Rechter Rand
$pdf->AddPage();																		// Neue Seite erzeugen

$pic1 = 'firmen-logo.jpg';													// Firmen Logo links unten
$size = Getimagesize($pic1);
$pdf->Image($pic1, 170, 10, $size[0] / 720 * 25.4); // Logo in 720 DPI / in Foxit muss die Ausgabe auch eingestellt werden
$pdf->Ln(30);																	  		// Zeilenumbruch

// berschrift setzen
$pdf->Ln(12);
$pdf->SetFont('Times','B',14);                      													
$pdf->Cell(1,1,"Patienten Begleitbogen",0,0,'L');  	// Titel
$pdf->Ln(6);
$pdf->Cell(1,1,"Erforderliche Vorbereitungsmanahmen",0,0,'L');// Titel
$pdf->Ln(4);

// Post-Werte bernehmen 
$w1      = $_POST["w1"];
$w2      = $_POST["w2"];
$w3      = $_POST["w3"];
$OP      = $_POST["OP"];
$Alter   = $_POST["Alter"];
$Patient = $_POST["Patient"];

// Text des Formulars 
// Die Reihenfolge der Texte ist auch die Reihenfolge der Ausgabe
// Ohne Abfrage werden immer Ausgegeben.
// Sollten Ausgaben bei mehreren Abfragen bentigt werden mit OR verbinden.
			$pdf->tabellen("Patient ist mit einer gltigen Fallnummer und Telefonnummer ins PDM-System eingegeben");
			$pdf->tabellen("Falls Patient unter Betreuung steht, ist der Betreuer mit Tel. Nr. bekannt");
			$pdf->tabellen("Chirurgische Indikationsstellung");
			$pdf->tabellen("Chirurgische Aufklrung");
			$pdf->tabellen("OP in die OP-Planung eingetragen");
			$pdf->tabellen("Aufnahme in den AMB- bzw. STAT-Kalender eingetragen");
			$pdf->tabellen("Absetzen gerinnungshemmender Medikamente ist besprochen");
			$pdf->tabellen("Absetzen von Metformin-Prparaten (48 h vor OP) ist besprochen");
			$pdf->tabellen("Chirurgischer Check am OP-Tag durch Aufnahmearzt");
IF ($w3 == 'ambu')					{$pdf->tabellen("Aufklrung ber Besonderheiten beim ambulanten Eingriff");}
IF ($OP == 'Venen-OP')			{$pdf->tabellen("Anzeichnen der Venen / Anzeichnen der OP-Seite");}
			$pdf->tabellen("Properative Einnahme der huslichen Medikation (inkl. Metformin) besprochen");
			$pdf->tabellen("Rasur / Nabelreinigung");
IF ($OP == 'Hmorrhoiden')	{$pdf->tabellen("Patient ist abgefhrt / Patient war vor OP zur Toilette");}
			$pdf->tabellen("Schmuck / Schminke / Nagellack sind entfernt");
			$pdf->tabellen("Prothese (wenn vorhanden) ist entfernt");
			$pdf->tabellen("Patient ist fr die OP bekleidungsmig vorbereitet");
			$pdf->tabellen("Medikamenteneinnahme wie auf Ansthesiebogen vermerkt - ist erfolgt");
IF ($OP == 'Marcumarth')		{$pdf->tabellen("Emla-Pflaster ist geklebt");
														 $pdf->tabellen("Elma-Pflaster ist vor Abfahrt in den OP entfernt");}
			$pdf->tabellen("Patient ist nach Nchterheit befragt");
			$pdf->tabellen("Akte liegt vor inkl. Kardex und ganzem Bogen Etikettenaufkleber");
IF(($OP == 'Tumor-OP') or			
   ($Alter == 'ab 75'))			{$pdf->tabellen("R-TX");}
			$pdf->tabellen("spezifische R-Untersuchung (Bilder vorliegend) / MRT / CT");
IF(($Alter == '50 bis 75') or
   ($w1 == 'ASA'))					{$pdf->tabellen("EKG");
														 $pdf->tabellen("Kalium");
														 $pdf->tabellen("Crea-Harnstoff");
														 $pdf->tabellen("Quick / PTT");}
IF ($Alter == '50 bis 75')	{$pdf->tabellen("Blutbild");}
IF(($OP == 'Abdominal-OP') or
   ($Alter == 'ab 75'))	    {$pdf->tabellen("Leberwerte");}
IF ($OP == 'Struma')				{$pdf->tabellen("Calcium");
														 $pdf->tabellen("HNO-Konsil");
														 $pdf->tabellen("Schilddrsen-Sono");
														 $pdf->tabellen("Perfusionsszintigrafie");
														 $pdf->tabellen("TSH");
														 $pdf->tabellen("T3 / T4");}
			$pdf->tabellen("Blutgruppe und aktueller Antikrper-Suchtest");
			$pdf->tabellen("Erforderliche EK sind gekreuzt");
			$pdf->tabellen("Internistisches Konsil");
			$pdf->tabellen("UKG");
IF ($OP == 'Thorax-OP')			{$pdf->tabellen("Lufu");
														 $pdf->tabellen("BGA");}

// Aufkleber und Patient
$pdf->SetXY( 23, 10);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(90,30,"$Patient",1,0,'C');

$pdf->AutoPrint(true);        // Autoprint / Sofortigeanzeige des Druckerdialoges
$pdf->Output();
?>

